Loading...
Searching...
No Matches
elf_aux.h File Reference

Auxiliary information for binaries. More...

`#include <l4/sys/types.h>`
Include dependency graph for elf_aux.h:

Go to the source code of this file.

## Data Structures

struct | l4re_elf_aux_t
| Generic header for each auxiliary vector element. More...
struct | l4re_elf_aux_vma_t
| Auxiliary vector element for a reserved virtual memory area. More...
struct | l4re_elf_aux_mword_t
| Auxiliary vector element for a single unsigned data word. More...

## Macros

#define | L4RE_ELF_AUX_ELEM const __attribute__((used, section(".rol4re_elf_aux"), aligned(sizeof(l4_umword_t))))
| Define an auxiliary vector element.
#define | L4RE_ELF_AUX_ELEM_T(type, id, tag, val...)
| Define an auxiliary vector element.

## Typedefs

typedef struct l4re_elf_aux_t | l4re_elf_aux_t
| Generic header for each auxiliary vector element.
typedef struct l4re_elf_aux_vma_t | l4re_elf_aux_vma_t
| Auxiliary vector element for a reserved virtual memory area.
typedef struct l4re_elf_aux_mword_t | l4re_elf_aux_mword_t
| Auxiliary vector element for a single unsigned data word.

## Enumerations

enum | { L4RE_ELF_AUX_T_NONE = 0 , L4RE_ELF_AUX_T_VMA , L4RE_ELF_AUX_T_STACK_SIZE , L4RE_ELF_AUX_T_STACK_ADDR , L4RE_ELF_AUX_T_KIP_ADDR , L4RE_ELF_AUX_T_EX_REGS_FLAGS }

## Detailed Description

Auxiliary information for binaries.

Definition in file elf_aux.h.